extends Scene


func _on_mine_entrance_interacted() -> void:
	$kq4_028_mine_entrance.default_script(self)


func _on_pool_interacted() -> void:
	$kq4_003_fountain_pool.default_script(self)


func _on_forest_path_interacted() -> void:
	$kq4_010_forest_path.default_script(self)


func _on_forest_grove_interacted() -> void:
	$kq4_005_forest_grove.default_script(self)


func _on_door_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("It's a sturdy wooden door to the ogre's cottage.")
	).build(self, "_on_script_complete"))


func _on_cottage_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("This is a large, crudely-built, thatched-roof house. It makes you feel uneasy.")
	).build(self, "_on_script_complete"))


func _on_window_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You peek through the window, but can make out no details.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You stand before the ogre's cottage.")
	).build(self, "_on_script_complete"))


func _on_kq_4_049_ogres_cottage_interacted() -> void:
	$kq4_049_ogres_cottage.default_script(self)
